package bus.service.impl;

import bus.model.dto.BUserPreDto;
import bus.model.dto.BUserPrePageDto;
import bus.model.vo.BUserPreVo;
import bus.model.po.BUserPrePo;
import bus.mapper.BUserPreMapper;

import bus.service.BUserPreService;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.BeanUtils;
import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-17 23:24:43
 **/
@Service
public class BUserPreServiceImpl implements BUserPreService {

    @Autowired
    private BUserPreMapper bUserPreMapper;


	/**
     * 详情
     * @param id
     * @return
     */
    @Override
    public BUserPrePo getDetailById(String id){
        return this.bUserPreMapper.selectById(id);
    }

	/**
     * 保存
     * @param dto
     * @return
     */
    @Override
	public void save(BUserPreDto dto){
        BUserPrePo po = new BUserPrePo();
        BeanUtils.copyProperties(dto,po);
		this.bUserPreMapper.insert(po);
    }

    /**
    * 列表
    * @param dto
    * @return
    */
    @Override
    public List<BUserPreVo> list(BUserPrePageDto dto){
        return this.bUserPreMapper.list(dto);
    }

	/**
     * 修改
     * @param dto
     * @return
     */
    @Override
    public void update(BUserPreDto dto){
        BUserPrePo po = new BUserPrePo();
        BeanUtils.copyProperties(dto,po);
		bUserPreMapper.updateById(po);
    }

    /**
     * 删除
     * @param id
     * @return
     */
    @Override
    public void delete(String id){
		bUserPreMapper.deleteById(id);
    }
}
